package info.bukova.isspst.services.fulltext;

import org.apache.poi.POIXMLTextExtractor;
import org.apache.poi.xwpf.extractor.XWPFWordExtractor;
import org.apache.poi.xwpf.usermodel.XWPFDocument;

import java.io.IOException;
import java.io.InputStream;

/**
 * @author Pepa Rokos
 */
public class WordExtractor extends AbstractOfficeExtractor implements Extractor {

	@Override
	protected POIXMLTextExtractor createExtractor(InputStream is) throws IOException {
		return new XWPFWordExtractor(new XWPFDocument(is));
	}
}
